<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="yu.org.goodoldai.air.wb.mdr.odm"
   name="%pluginName"
   version="0.0.1"
   provider-name="%providerName"
   class="yu.org.goodoldai.air.wb.mdr.odm.internals.AirMDRODMPlugin">

   <runtime>
      <library name="airmdrodm.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="yu.org.goodoldai.air.core"/>
      <import plugin="yu.org.goodoldai.air.wb.mdr.core"/>
      <import plugin="yu.org.goodoldai.air.wb.core"/>
      <import plugin="yu.org.goodoldai.air.wb.ui.core"/>
      <import plugin="org.eclipse.gef"/>
   </requires>


   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%odmPreferencePageName"
            category="yu.org.goodoldai.air.wb.mdr.core.internals.AirMDRCorePreferencePage"
            class="yu.org.goodoldai.air.wb.mdr.odm.preferences.OdmPreferencePage"
            id="yu.org.goodoldai.air.wb.mdr.odm.preferences.OdmPreferencePage">
      </page>
   </extension>
   <extension
         point="yu.org.goodoldai.air.wb.mdr.core.adaptables">
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.classcentric"
            class="yu.org.goodoldai.air.wb.mdr.odm.internals.registrator.ClasscentricRegistrator">
      </adaptables>
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.typecentric"
            class="yu.org.goodoldai.air.wb.mdr.odm.internals.registrator.TypecentricRegistrator">
      </adaptables>
      <adaptables
            factoryId="yu.org.goodoldai.air.wb.mdr.core.adaptable.modelcentric"
            class="yu.org.goodoldai.air.wb.mdr.odm.internals.registrator.ModelcentricRegistrator">
      </adaptables>
   </extension>
   <extension
         point="yu.org.goodoldai.air.wb.mdr.core.adapters">
      <adapters
            class="yu.org.goodoldai.air.wb.mdr.odm.internals.registrator.ClasscentricAdaptersRegistrator">
      </adapters>
      <adapters
            class="yu.org.goodoldai.air.wb.mdr.odm.internals.registrator.TypecentricAdaptersRegistrator">
      </adapters>
      <adapters
            class="yu.org.goodoldai.air.wb.mdr.odm.internals.registrator.ModelcentricAdaptersRegistrator">
      </adapters>
   </extension>
   
   

</plugin>
